import { cacheStringFunction } from './chunk-2Z727VLZ.mjs';

// src/camelize.ts
var camelizeRE = /-(\w)/g;
var camelize = cacheStringFunction((str) => {
  return str.replace(camelizeRE, (_, c) => c ? c.toUpperCase() : "");
});

export { camelize };
